Bug 146996 - Raise target to 10.14
Summary: Raise target to 10.14
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All macOS (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-26 10:05 UTC by Heiko Tietze
Modified: 2022-01-26 11:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2022-01-26 10:05:49 UTC
Our current target is 10.13 / High Sierra. According [1], the market share is about 5% (Catalina=81.7%, Mojave=6.23%), even with low specs [2]. As a rule of thumb I would suggest to always support only one version backward.

This might have implications code-wise. Starting with 10.14, Apple introduced controlAccentColor [3] replacing selectedTextBackgroundColor that we use.

[1] https://gs.statcounter.com/macos-version-market-share/desktop/worldwide/#monthly-201706-202112
[2] https://support.apple.com/kb/SP765?locale=en_US
[3] https://developer.apple.com/documentation/appkit/nscolor/3000782-controlaccentcolor
Comment 1 Buovjaga 2022-01-26 10:44:31 UTC
What is the rush to not wait until 7.4 is branched off in July 2022? The upgrade plan that would be introduced in 7.3 is here https://wiki.documentfoundation.org/ReleaseNotes/7.3#Platform_Compatibility

No negative comments were made on Ask LibreOffice or Reddit, but I hesitate to change the plan suddenly after already asking for feedback.
Comment 2 Heiko Tietze 2022-01-26 10:48:02 UTC
(In reply to Buovjaga from comment #1)
> The upgrade plan that would be introduced in 7.3 is here
> https://wiki.documentfoundation.org/ReleaseNotes/7.3#Platform_Compatibility

This plan was the intention of the ticket :-)